## mandvd 2.5

=== Makefile ===
#############################################################################
# Makefile for building: mandvd
# Generated by qmake (1.07a) (Qt 3.3.8b) on: Sun Mar  8 18:32:50 2009
# Project:  mandvd.pro
# Template: app
# Command: $(QMAKE) -o Makefile mandvd.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe -Wall -W -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic  -DQT_NO_DEBUG -DQT_SHARED -DQT_TABLET_SUPPORT -DQT_THREAD_SUPPORT
CXXFLAGS = -pipe -Wall -W -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic  -DQT_NO_DEBUG -DQT_SHARED -DQT_TABLET_SUPPORT -DQT_THREAD_SUPPORT
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/usr/lib64/qt-3.3/mkspecs/default -I. -I. -I$(QTDIR)/include
LINK     = g++
LFLAGS   = 
LIBS     = $(SUBLIBS) -L$(QTDIR)/lib -lqt-mt -lXext -lX11 -lm
AR       = ar cqs
RANLIB   = 
MOC      = $(QTDIR)/bin/moc
UIC      = $(QTDIR)/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY)
COPY_DIR = $(COPY) -r
INSTALL_FILE= $(COPY_FILE)
INSTALL_DIR = $(COPY_DIR)
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = ./

####### Files

HEADERS = animation.h \
		chapter.h \
		cut.h \
		dvdbuild.h \
		lang.h \
		langSV.h \
		mainfrm.ui.h \
		mandvd.h \
		mandvd_global.h \
		qmplayerwidget.h \
		qplayer_global.h \
		slideshow.h \
		subtitle.h \
		xml_mplayer.h \
		langPT.h \
		langGE.h
SOURCES = animation.cpp \
		chapter.cpp \
		cut.cpp \
		dvdbuild.cpp \
		lang.cpp \
		main.cpp \
		mandvd.cpp \
		qmplayerwidget.cpp \
		slideshow.cpp \
		subtitle.cpp
OBJECTS = animation.o \
		chapter.o \
		cut.o \
		dvdbuild.o \
		lang.o \
		main.o \
		mandvd.o \
		qmplayerwidget.o \
		slideshow.o \
		subtitle.o \
		mainfrm.o
FORMS = mainfrm.ui
UICDECLS = mainfrm.h
UICIMPLS = mainfrm.cpp
SRCMOC   = moc_qmplayerwidget.cpp \
		moc_mainfrm.cpp
OBJMOC = moc_qmplayerwidget.o \
		moc_mainfrm.o
DIST	   = mandvd.pro
QMAKE_TARGET = mandvd
DESTDIR  = 
TARGET   = mandvd

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(OBJCOMP) $(LIBS)

mocables: $(SRCMOC)
uicables: $(UICDECLS) $(UICIMPLS)

$(MOC): 
	( cd $(QTDIR)/src/moc && $(MAKE) )

Makefile: mandvd.pro  /usr/lib64/qt-3.3/mkspecs/default/qmake.conf /usr/lib64/qt-3.3/lib/libqt-mt.prl
	$(QMAKE) -o Makefile mandvd.pro
qmake: 
	@$(QMAKE) -o Makefile mandvd.pro

dist: 
	@mkdir -p .tmp/mandvd && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .tmp/mandvd/ && $(COPY_FILE) --parents mainfrm.ui.h .tmp/mandvd/ && ( cd `dirname .tmp/mandvd` && $(TAR) mandvd.tar mandvd && $(GZIP) mandvd.tar ) && $(MOVE) `dirname .tmp/mandvd`/mandvd.tar.gz . && $(DEL_FILE) -r .tmp/mandvd

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:
	-$(DEL_FILE) $(UICIMPLS) $(UICDECLS)

yaccclean:
lexclean:
clean: mocclean uiclean
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) $(TARGET)


FORCE:

####### Compile

animation.o: animation.cpp mandvd_global.h \
		animation.h \
		mainfrm.h \
		qmplayerwidget.h

chapter.o: chapter.cpp mandvd_global.h \
		chapter.h \
		mainfrm.h \
		qmplayerwidget.h

cut.o: cut.cpp mandvd_global.h \
		cut.h \
		mainfrm.h \
		qmplayerwidget.h

dvdbuild.o: dvdbuild.cpp mandvd_global.h \
		dvdbuild.h \
		mainfrm.h \
		qmplayerwidget.h

lang.o: lang.cpp mandvd_global.h \
		lang.h \
		langSV.h \
		langPT.h \
		langGE.h \
		mainfrm.h \
		qmplayerwidget.h

main.o: main.cpp mandvd_global.h \
		mainfrm.h \
		qmplayerwidget.h

mandvd.o: mandvd.cpp mandvd_global.h \
		mandvd.h \
		mainfrm.h \
		qmplayerwidget.h

qmplayerwidget.o: qmplayerwidget.cpp xml_mplayer.h \
		qplayer_global.h \
		qmplayerwidget.h

slideshow.o: slideshow.cpp mandvd_global.h \
		mainfrm.h \
		slideshow.h \
		qmplayerwidget.h

subtitle.o: subtitle.cpp mandvd_global.h \
		subtitle.h \
		mainfrm.h \
		qmplayerwidget.h

mainfrm.h: mainfrm.ui qmplayerwidget.h
	$(UIC) mainfrm.ui -o mainfrm.h

mainfrm.cpp: mainfrm.h mainfrm.ui mainfrm.ui.h qmplayerwidget.h
	$(UIC) mainfrm.ui -i mainfrm.h -o mainfrm.cpp

mainfrm.o: mainfrm.cpp mainfrm.ui.h \
		mainfrm.h

moc_qmplayerwidget.o: moc_qmplayerwidget.cpp  qmplayerwidget.h 

moc_mainfrm.o: moc_mainfrm.cpp  mainfrm.h qmplayerwidget.h

moc_qmplayerwidget.cpp: $(MOC) qmplayerwidget.h
	$(MOC) qmplayerwidget.h -o moc_qmplayerwidget.cpp

moc_mainfrm.cpp: $(MOC) mainfrm.h
	$(MOC) mainfrm.h -o moc_mainfrm.cpp

####### Install

install:  

uninstall:

## mandvd 2.5-5

=== debian/changelog ===
mandvd (2.5-5-0ubuntu2) lucid; urgency=low

  * 01-ntsc_projects_fps.diff: Adjust FPS to fix building of animated menu
    when NTSC is selected, fixes LP: #420616.
  * Bump Standards.
  * Switch to debian 3.0 (quilt) format.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 15 Apr 2010 20:00:10 +0200

mandvd (2.5-5-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #372246).
  * debian/control:
    - Bump-up Standards-Version.
    - Suggests on gimp.
    - Adjust long description.
  * Update debian/copyright.
  * debian/mandvd.install:
    - Install patched .desktop file.
  * debian/rules:
    - Add simple patch system support.
  * Add debian/patches/01-fix_desktop_file.diff patch to fix the .desktop file
    as-per-spec.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 05 May 2009 17:25:24 +0200

mandvd (2.5-4-0ubuntu1) jaunty; urgency=low

  * Initial release (LP: #105464).
  * Added manpage.
  * Fixed mandvd.desktop according with Freedesktop.org spec.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 08 Feb 2009 12:48:47 +0100

=== debian/control ===
Source: mandvd
Section: graphics
Priority: optional
Maintainer: Alessio Treglia <quadrispro@ubuntu.com>
Build-Depends: cdbs, debhelper (>= 5), libqt3-mt-dev
Standards-Version: 3.8.4
Homepage: http://www.kde-apps.org/content/show.php?content=83906

Package: mandvd
Architecture: any
Depends: ${shlibs:Depends},
 dvd-slideshow,
 mencoder,
 mplayer | mplayer-nogui,
 lame,
 transcode,
 dvd+rw-tools,
 dvdauthor,
 genisoimage,
 wodim,
 ${misc:Depends}
Recommends: xine-ui
Suggests: k3b | brasero | gnomebaker, gimp
Description: simple Video DVD creator
 ManDVD is an application for creating video DVDs from a wide
 variety of video formats. You can add as many video clips you
 want to generate a DVD with chapters, subtitles, transition
 effects, brightness and contrast settings.
 .
 If the imported videos are not compatible with standard DVDs,
 you can convert from ManDVD. It also offers the possibility of
 extracting images, synchronize audio and video, create a video
 introduction to the DVD, reduce noise, create subtitles and
 even a menu with animation for your DVD.

=== debian/watch ===
version=3
http://www.grommit.se/mandvd/mandvd-(.*-[0-9])*\.fc[0-9]*\.tar\.gz

## mandvd 2.6

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: mandvd
-# Generated by qmake (1.07a) (Qt 3.3.8b) on: Sun Mar  8 18:32:50 2009
+# Generated by qmake (1.07a) (Qt 3.3.8b) on: Thu May 13 21:27:23 2010
 # Project:  mandvd.pro
 # Template: app
 # Command: $(QMAKE) -o Makefile mandvd.pro
@@ -48,8 +48,13 @@
 HEADERS = animation.h \
 		chapter.h \
 		cut.h \
+		dialog.h \
 		dvdbuild.h \
+		dvdmenu.h \
+		effects.h \
 		lang.h \
+		langGE.h \
+		langPT.h \
 		langSV.h \
 		mainfrm.ui.h \
 		mandvd.h \
@@ -58,13 +63,14 @@
 		qplayer_global.h \
 		slideshow.h \
 		subtitle.h \
-		xml_mplayer.h \
-		langPT.h \
-		langGE.h
+		xml_mplayer.h
 SOURCES = animation.cpp \
 		chapter.cpp \
 		cut.cpp \
+		dialog.cpp \
 		dvdbuild.cpp \
+		dvdmenu.cpp \
+		effects.cpp \
 		lang.cpp \
 		main.cpp \
 		mandvd.cpp \
@@ -74,7 +80,10 @@
 OBJECTS = animation.o \
 		chapter.o \
 		cut.o \
+		dialog.o \
 		dvdbuild.o \
+		dvdmenu.o \
+		effects.o \
 		lang.o \
 		main.o \
 		mandvd.o \
@@ -85,9 +94,11 @@
 FORMS = mainfrm.ui
 UICDECLS = mainfrm.h
 UICIMPLS = mainfrm.cpp
-SRCMOC   = moc_qmplayerwidget.cpp \
+SRCMOC   = moc_dialog.cpp \
+		moc_qmplayerwidget.cpp \
 		moc_mainfrm.cpp
-OBJMOC = moc_qmplayerwidget.o \
+OBJMOC = moc_dialog.o \
+		moc_qmplayerwidget.o \
 		moc_mainfrm.o
 DIST	   = mandvd.pro
 QMAKE_TARGET = mandvd
@@ -133,7 +144,7 @@
 	@$(QMAKE) -o Makefile mandvd.pro
 
 dist: 
-	@mkdir -p .tmp/mandvd && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .tmp/mandvd/ && $(COPY_FILE) --parents mainfrm.ui.h .tmp/mandvd/ && ( cd `dirname .tmp/mandvd` && $(TAR) mandvd.tar mandvd && $(GZIP) mandvd.tar ) && $(MOVE) `dirname .tmp/mandvd`/mandvd.tar.gz . && $(DEL_FILE) -r .tmp/mandvd
+	@mkdir -p .tmp/mandvd && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .tmp/mandvd/ && $(COPY_FILE) --parents mandvd_de.ts mandvd_se.ts mandvd_pt.ts mandvd_fr.ts mandvd_en.ts .tmp/mandvd/ && $(COPY_FILE) --parents mainfrm.ui.h .tmp/mandvd/ && ( cd `dirname .tmp/mandvd` && $(TAR) mandvd.tar mandvd && $(GZIP) mandvd.tar ) && $(MOVE) `dirname .tmp/mandvd`/mandvd.tar.gz . && $(DEL_FILE) -r .tmp/mandvd
 
 mocclean:
 	-$(DEL_FILE) $(OBJMOC)
@@ -159,9 +170,10 @@
 
 ####### Compile
 
-animation.o: animation.cpp mandvd_global.h \
-		animation.h \
-		mainfrm.h \
+animation.o: animation.cpp animation.h \
+		mandvd_global.h \
+		mainfrm.h \
+		dialog.h \
 		qmplayerwidget.h
 
 chapter.o: chapter.cpp mandvd_global.h \
@@ -174,26 +186,40 @@
 		mainfrm.h \
 		qmplayerwidget.h
 
-dvdbuild.o: dvdbuild.cpp mandvd_global.h \
-		dvdbuild.h \
-		mainfrm.h \
+dialog.o: dialog.cpp dialog.h
+
+dvdbuild.o: dvdbuild.cpp dvdbuild.h \
+		mainfrm.h \
+		mandvd_global.h \
+		qmplayerwidget.h
+
+dvdmenu.o: dvdmenu.cpp dvdmenu.h \
+		mainfrm.h \
+		mandvd_global.h \
+		dialog.h \
+		qmplayerwidget.h
+
+effects.o: effects.cpp effects.h \
+		mainfrm.h \
+		dialog.h \
+		mandvd_global.h \
 		qmplayerwidget.h
 
 lang.o: lang.cpp mandvd_global.h \
+		mainfrm.h \
 		lang.h \
-		langSV.h \
 		langPT.h \
 		langGE.h \
-		mainfrm.h \
 		qmplayerwidget.h
 
 main.o: main.cpp mandvd_global.h \
 		mainfrm.h \
 		qmplayerwidget.h
 
-mandvd.o: mandvd.cpp mandvd_global.h \
-		mandvd.h \
-		mainfrm.h \
+mandvd.o: mandvd.cpp mandvd.h \
+		mainfrm.h \
+		mandvd_global.h \
+		dialog.h \
 		qmplayerwidget.h
 
 qmplayerwidget.o: qmplayerwidget.cpp xml_mplayer.h \
@@ -205,9 +231,9 @@
 		slideshow.h \
 		qmplayerwidget.h
 
-subtitle.o: subtitle.cpp mandvd_global.h \
-		subtitle.h \
-		mainfrm.h \
+subtitle.o: subtitle.cpp subtitle.h \
+		mainfrm.h \
+		mandvd_global.h \
 		qmplayerwidget.h
 
 mainfrm.h: mainfrm.ui qmplayerwidget.h
@@ -219,9 +245,14 @@
 mainfrm.o: mainfrm.cpp mainfrm.ui.h \
 		mainfrm.h
 
+moc_dialog.o: moc_dialog.cpp  dialog.h 
+
 moc_qmplayerwidget.o: moc_qmplayerwidget.cpp  qmplayerwidget.h 
 
 moc_mainfrm.o: moc_mainfrm.cpp  mainfrm.h qmplayerwidget.h
+
+moc_dialog.cpp: $(MOC) dialog.h
+	$(MOC) dialog.h -o moc_dialog.cpp
 
 moc_qmplayerwidget.cpp: $(MOC) qmplayerwidget.h
 	$(MOC) qmplayerwidget.h -o moc_qmplayerwidget.cpp

## mandvd 2.6-1

=== debian/changelog ===
mandvd (2.6-1-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * Refresh 01-ntsc_projects_fps.diff.
  * Bump Standards.
  * Update debian/copyright file.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 19 Jul 2010 16:43:53 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,10 @@
 Section: graphics
 Priority: optional
 Maintainer: Alessio Treglia <quadrispro@ubuntu.com>
-Build-Depends: cdbs, debhelper (>= 5), libqt3-mt-dev
-Standards-Version: 3.8.4
+Build-Depends: cdbs,
+ debhelper (>= 5),
+ libqt3-mt-dev
+Standards-Version: 3.9.0
 Homepage: http://www.kde-apps.org/content/show.php?content=83906
 
 Package: mandvd
